Permalink
Browse files

Give some 'require_as' examples in the README

  • Loading branch information...
1 parent 06d9a7e commit b81b730e9ed06de352e609f183ade3e32db2e376 @wilson wilson committed with Carl Lerche Dec 22, 2009
Showing with 9 additions and 0 deletions.
  1. +9 −0 README.markdown
View
@@ -66,6 +66,15 @@ information, please refer to Bundler::ManifestBuilder.
# the gemspec is found in.
gem "rspec", "1.1.6", :vendored_at => "vendor/rspec"
+ # You can also control what will happen when you run Bundler.require_env
+ # by using the :require_as option, as per the next two examples.
+
+ # Don't auto-require this gem.
+ gem "rspec-rails", "1.2.9", :require_as => nil
+
+ # Require something other than the default.
+ gem "yajl-ruby", "0.6.7", :require_as => "yajl/json_gem"
+
# Works exactly like :vendored_at, but first downloads the repo from
# git and handles stashing the files for you. As with :vendored_at,
# Bundler will automatically use *.gemspec files in the root or anywhere

0 comments on commit b81b730

Please sign in to comment.